Subject: [dnsext] [Technical Errata Reported] RFC5155 (3479)

From: RFC Errata System <[email-masked]>
Date: Thu, 7 Feb 2013 13:50:59 -0800 (PST)

The following errata report has been submitted for RFC5155,
"DNS Security (DNSSEC) Hashed Authenticated Denial of Existence".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5155&eid=3479

--------------------------------------
Type: Technical
Reported by: Andy Newton <[email-masked]>

Section: Apendix A

Original Text
-------------
The example in Appendix A has an NSEC3 next hashed owner name field with the non-base 32 characters 9, 0, and 1.

Corrected Text
--------------
The example should be changed so that the field in question is valid base 32.

Notes
-----

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5155 (draft-ietf-dnsext-nsec3-13)
--------------------------------------
Title               : DNS Security (DNSSEC) Hashed Authenticated Denial of Existence
Publication Date    : March 2008
Author(s)           : B. Laurie, G. Sisson, R. Arends, D. Blacka
Category            : PROPOSED STANDARD
Source              : DNS Extensions
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: Miek Gieben <[email-masked]>
Date: Fri, 8 Feb 2013 17:29:27 +0100

[ Quoting <[email-masked]> in "[dnsext] [Technical Errata Reported..." ]
> http://www.rfc-editor.org/errata_search.php?rfc=5155&eid=3479

I think you missed (Section 1.3):

    when the hashed owner names are in base32, encoded with an Extended Hex
    Alphabet [RFC4648]

grtz Miek

---

From: Andy Newton <[email-masked]>
Date: Fri, 8 Feb 2013 16:45:29 +0000

RFC 4648 explicitly says that base32hex should not be referred to as base32. If the examples are correct, then the text is misleading in 5155. Sections 1.3 and especially 3.3 should be changed to "base32hex" from base32.

-andy

________________________________________
From: Miek Gieben [[email-masked]]
Sent: Friday, February 08, 2013 11:29 AM
To: RFC Errata System
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; Andy Newton; [email-masked]
Subject: Re: [dnsext] [Technical Errata Reported] RFC5155 (3479)

grtz Miek